Package ru.bitel.oss.kernel.directories.address.common.bean

# Class City

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.City

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class City extends AddressPrefixSuffix

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `City.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `City()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static City.Builder`
  `builder()`
  `static City`
  `from(City city)`
  `Country`
  `getCountry()`
  `int`
  `getCountryId()`
  `int`
  `getPositionIndex()`
  `City`
  `setCountry(Country country)`
  `City`
  `setCountryId(int countryId)`
  `City`
  `setPositionIndex(int positionIndex)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, setTitlePrefix, setTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### City

    public City()

- ## Method Details

  - ### getCountryId

    public int getCountryId()

  - ### setCountryId

    public City setCountryId(int countryId)

  - ### getPositionIndex

    public int getPositionIndex()

  - ### setPositionIndex

    public City setPositionIndex(int positionIndex)

  - ### getCountry

    public Country getCountry()

  - ### setCountry

    public City setCountry(Country country)

  - ### from

    public static City from(City city)

  - ### builder

    public static City.Builder builder()